# std::vector<T,Allocator>::pop_back

From cppreference.com
< cpp‎ | container‎ | vector

void pop_back(); |  |

Removes the last element of the container.

Calling `pop_back` on an empty container is undefined.

No iterators or references except for back() and end() are invalidated.

### Parameters

(none)

### Return value

(none)

### Complexity

Constant.

### Exceptions

(none)

### Example

Run this code

    #include <vector>
    #include <iostream>

    template<typename T>
    void print(T const & xs)
    {
        std::cout << "[ ";
        for(auto const & x : xs) {
            std::cout << x << ' ';
        }
        std::cout << "]\n";
    }

    int main()
    {
        std::vector<int> numbers;

        print(numbers);

        numbers.push_back(5);
        numbers.push_back(3);
        numbers.push_back(4);

        print(numbers);

        numbers.pop_back();

        print(numbers);
    }

Output:

    [ ]
    [ 5 3 4 ]
    [ 5 3 ]

### See also

push_back | adds an element to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/vector/pop_back&oldid=50818"